<?php
/**
 * Plugin Name: Mage Reviews
 * Plugin URI:  http://www.magecast.com
 * Description: A simple, 5 Star, rating option will be integrated within the comment form and rating average with shortcodes.
 * Author:      Mage Cast
 * Author URI:  http://magecast.com
 * Version:     1.0.8
 * Text Domain: magecast
 * Domain Path: /lang/
 * License:     GPLv2 or later (license.txt)
 */
?>
<?php
if (!defined('ABSPATH')) exit;
define('MAGECAST_REVIEWS_VER', '1.0.8');
define('MAGECAST_REVIEWS', dirname( __FILE__ ). '/');
define('MAGECAST_REVIEWS_URL',plugins_url('/',__FILE__));
define('MAGECAST_REVIEWS_SOURCE',MAGECAST_REVIEWS_URL.'source/');
add_action('after_setup_theme','load_magecast_reviews');
add_action('admin_init','load_magecast_reviews_admin');
function load_magecast_reviews(){
	if (!defined('MAGECAST'))require_once MAGECAST_REVIEWS.'core/mage-cast.php';
	require_once MAGECAST_REVIEWS.'cast/mage-cast.php';
	require_once MAGECAST_REVIEWS.'cast/mage-reviews.php';
}
function load_magecast_reviews_admin(){
	add_filter( 'plugin_action_links_'.plugin_basename( __FILE__ ), 'mage_reviews_settings_link' );
}
function mage_reviews_settings_link( $links ) {
   $links[] = '<a href="'. get_admin_url(null, 'admin.php?page=mage_reviews') .'">Settings</a>';
   return $links;
}
